/** Special functional component used to create a document fragment */
export function DjxFragment({children}: {children?: Node | Node[]}){
    const fragment = document.createDocumentFragment();
    if (children)
        (children instanceof Array ? children : [children]).forEach(child => fragment.appendChild(child));
    return fragment;
}